package com.ruoyi.dxp.utils;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 外部系统配置类
 */
@Component
public class OutServiceConfig implements InitializingBean {
    /**
     * 外部接口地址
     */
    public static String ApiUrl;

    @Value("${outapi.url}")
    private String apiUrl;

    @Override
    public void afterPropertiesSet() throws Exception {
        try {
            ApiUrl = apiUrl;
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
